< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package play
  Definition Classes
    hmrc
-  package events
  Definition Classes
    play
-  package monitoring
  Definition Classes
    events
- DefaultHttpErrorCountEvent
- DefaultHttpErrorEvent
- DefaultTimerEvent
- EventSource
- HttpErrorCountMonitor
- HttpErrorMonitor
- Monitor
- Timer

t

uk.gov.hmrc.play.events.monitoring

# Timer 

###

#### trait Timer extends EventSource with DefaultEventRecorder

Linear Supertypes
DefaultEventRecorder, EventRecorder, EventSource, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Timer
2. DefaultEventRecorder
3. EventRecorder
4. EventSource
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  abstract def source: String
   Definition Classes
     EventSource

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
6.  def createTimerEvent(alertCode: AlertCode, duration: Duration): Measurable
   Attributes
     protected
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
9.  def eventHandlers: Set[EventHandler]
   Definition Classes
     DefaultEventRecorder → EventRecorder
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
11.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  def record(recordable: Recordable)(implicit headerCarrier: HeaderCarrier, ec: ExecutionContext): Unit
    Definition Classes
      EventRecorder
18.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
19.  def timer[T](alertCode: AlertCode = Unknown)(function: ⇒ Future[T])(implicit hc: HeaderCarrier, ec: ExecutionContext): Future[T]
20.  def toString(): String
    Definition Classes
      AnyRef → Any
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from DefaultEventRecorder

### Inherited from EventRecorder

### Inherited from EventSource

### Inherited from AnyRef

### Inherited from Any

### Ungrouped